library IEEE;
use IEEE.std_logic_1164.all;

entity verification is
end verification;

architecture fli_br32 of verification is

	component BINARYREAD32
		port
		(
			CLK : in std_logic;
			RST : in std_logic;
			READ : in std_logic;
			DENB : out std_logic;
			DATA : out std_logic_vector(31 downto 0)
		);
	end component;

	signal CLK : std_logic;
	signal RST : std_logic;
	signal READ : std_logic;
	signal DENB : std_logic;
	signal DATA : std_logic_vector(31 downto 0);

	constant CLK_CYCLE : Time := 100 ns;
	constant O_DELAY : Time := 5 ns;

begin

	U_BINARYREAD32 : BINARYREAD32 port map
	(
		CLK, RST, READ, DENB, DATA
	);

	process begin
		CLK <= '1';
		wait for CLK_CYCLE/2;
		CLK <= '0';
		wait for CLK_CYCLE/2;
	end process;

	process begin
		RST <= '1';
		READ <= '0';
		wait for CLK_CYCLE * 10;
		RST <= '0' after O_DELAY;
		wait for CLK_CYCLE * 50;
		READ <= '1';
		wait;
	end process;

end fli_br32;

